commit:     25bd6378d4a39b05c085c91de2abbdfbb721b42e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Mar  8 21:57:28 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Mar  8 22:18:52 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25bd6378

dev-python/lit: Control lit job count

Closes: https://bugs.gentoo.org/649554

 dev-python/lit/lit-6.0.9999.ebuild | 5 +++--
 dev-python/lit/lit-9999.ebuild     | 7 ++++---
 2 files changed, 7 insertions(+), 5 deletions(-)

diff --git a/dev-python/lit/lit-6.0.9999.ebuild 
b/dev-python/lit/lit-6.0.9999.ebuild
index f167a14c32b..d3e98d7342b 100644
--- a/dev-python/lit/lit-6.0.9999.ebuild
+++ b/dev-python/lit/lit-6.0.9999.ebuild
@@ -4,7 +4,7 @@
 EAPI=6
 
 PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
-inherit distutils-r1 git-r3
+inherit distutils-r1 git-r3 multiprocessing
 
 DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
 HOMEPAGE="https://llvm.org/";
@@ -36,5 +36,6 @@ src_unpack() {
 }
 
 python_test() {
-       ./lit.py -vv tests || die
+       ./lit.py -j "${LIT_JOBS:-$(makeopts_jobs "${MAKEOPTS}" 
"$(get_nproc)")}" \
+               -vv tests || die
 }

diff --git a/dev-python/lit/lit-9999.ebuild b/dev-python/lit/lit-9999.ebuild
index 43d292abf1d..74471d6212c 100644
--- a/dev-python/lit/lit-9999.ebuild
+++ b/dev-python/lit/lit-9999.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 
 PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
-inherit distutils-r1 git-r3
+inherit distutils-r1 git-r3 multiprocessing
 
 DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
 HOMEPAGE="https://llvm.org/";
@@ -35,5 +35,6 @@ src_unpack() {
 }
 
 python_test() {
-       ./lit.py -vv tests || die
+       ./lit.py -j "${LIT_JOBS:-$(makeopts_jobs "${MAKEOPTS}" 
"$(get_nproc)")}" \
+               -vv tests || die
 }

Reply via email to